Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000182Bananian Linux[All Projects] Networkpublic2015-12-22 12:072016-03-25 10:07
Reporterywoody 
Assigned ToNico 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionKernel 4.3 
Target Version16.04Fixed in Version16.04 
Summary0000182: WIFI driver ap6210 not found under Kernel 4.3
DescriptionCannot load ap6210 driver either by modprobe ap6210 or add 'ap6210' to /etc/modules.

Hardware: BPI M1+
Steps To Reproducemodprobe ap6210

or

add 'ap6210' to /etc/modules
Additional Information1 root@bananapi ~ # uname -r :(
4.3.3-bananian
root@bananapi ~ # dpkg -l | grep u-boot
ii u-boot-bananian 15.08.03 armhf Uboot loader for Bananian Linux
root@bananapi ~ # modprobe ap6210
modprobe: FATAL: Module ap6210 not found.
1 root@bananapi ~ #
TagsNo tags attached.
Attached Files

- Relationships
related to 0000198resolvedNico bananian-hardware does not work on Linux 4.x 

-  Notes
(0000316)
Nico (manager)
2015-12-25 11:24

In Linux 4.x you have to use 'brcmfmac' and replace the default u-boot (which is for Banana Pi without Wifi).
All these changes will be integrated in our next major release.

For the meantime you can use the following workaround:
aptitude update
aptitude purge u-boot-bananian
aptitude install u-boot-pro-bananian

This will remove the default u-boot and install u-boot for Banana Pro, which should also work for M1+.

Please note: Our u-boot package contains a firmware file not related to u-boot as a workaround because it is missing in our kernel package.
(0000349)
Nico (manager)
2016-03-25 10:07

FAQ updated. See https://www.bananian.org/faq [^]

For hardware selection for kernel 4.x has been moved into a new issue: https://dev.bananian.org/view.php?id=198 [^]

- Issue History
Date Modified Username Field Change
2015-12-22 12:07 ywoody New Issue
2015-12-25 11:12 Nico Assigned To => Nico
2015-12-25 11:12 Nico Status new => assigned
2015-12-25 11:24 Nico Note Added: 0000316
2015-12-25 11:31 Nico Target Version => 16.04
2016-03-25 10:05 Nico Relationship added related to 0000198
2016-03-25 10:07 Nico Note Added: 0000349
2016-03-25 10:07 Nico Status assigned => resolved
2016-03-25 10:07 Nico Fixed in Version => 16.04
2016-03-25 10:07 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker